# OMPL Plannification: Checking_Box Struct Reference

Checking_Box Struct Reference

Collision Mask : virtual representation of the drone as a box with x,y,z length. More...

`#include <StateChecker.hpp>`

## Public Attributes

double | x
double | y
double | z

## Detailed Description

Collision Mask : virtual representation of the drone as a box with x,y,z length.

Definition at line 29 of file StateChecker.hpp.

The documentation for this struct was generated from the following file:

- /home/blue/GitLab Repo/OMPL_Planning/Source Files/mapping_planning_tutorial/control_turtlebot/src/OMPL_Planning/OMPL_Planner/StateChecker.hpp